parameters:
  locale: 'tr'
  mailer.sender_email: 'info@yondy.ch'
  mailer.sender_name: 'Yondy'
  upload_dir: "media"
  product_image_dir: "%upload_dir%/products/"
  verkaufsstellen_image_dir: "%upload_dir%/verkaufsstellen/"
  verkaufsstellen_logo_dir: "%upload_dir%/verkaufsstellen/logo/"
  konzept_image_dir: "%upload_dir%/konzept/"
  laden_image_dir: "%upload_dir%/laden/"
  laden_pdf_dir: "%upload_dir%/laden/pdf/"
  laden_modul_image_dir: "%upload_dir%/ladenModul/"
  laden_modul_pdf_dir: "%upload_dir%/ladenModul/pdf/"
  uberuns_image_dir: "%upload_dir%/uberUns/"
  product_modul_image_dir: "%upload_dir%/products/modul/"
  product2_pdf_dir: "%upload_dir%/product2/"
  product_modul_pdf_dir: "%upload_dir%/products/modul/pdf/"
  product_extra_image_dir: "%upload_dir%/products/extra/"
  buchhaltung_image_dir: "%upload_dir%/buchhaltung/image/"
  buchhaltung_pdf_dir: "%upload_dir%/buchhaltung/pdf/"
  product_camt054_xml_dir: "%upload_dir%/bestellungen/xml/"
  buchhaltung_latex_dir: "%upload_dir%/buchhaltung/latex/"
  banner_image_dir: "%upload_dir%/banners/"
  staticText_image_dir: "%upload_dir%/static-texts/"
  category_image_dir: "%upload_dir%/categories/"
  bank_logo_dir: "%upload_dir%/banks/"
  site_logo_dir: "%upload_dir%/logo/"
  brand_logo_dir: "%upload_dir%/brands/"
  contrat_dir: "%upload_dir%/contrats/"
  barcode_dir: "%upload_dir%/pdf/barcode"
  barcode_bestell_dir: "%upload_dir%/pdf/barcode/bestell"
  blog_image_dir: "%upload_dir%/blog/"
  video_image_dir: "%upload_dir%/video/"
  site_dir: "https://system.yondy.ch/"
  site_dir_local: "http://localhost/yondy-system/"
  site_xdir: "https://yondy.ch/"
  pdf_bestell_dir: "%upload_dir%/pdf"

  import_extensions: ["xls", "xlsx", "xml", "pdf"]
  image_extensions: ["jpg", "JPG", "JPEG", "jpeg", "png", "gif", "webp", "ico", "svg", "ico"]
  video_extensions: ["mp4","m4v","mov","mpeg","webm"]
  audio_extensions: ["mp4","mp3"]
  deneme_dir: '%kernel.project_dir%\public'

services:
  App\Service\Php\Core\SystemSettings:
    public: true
    arguments:
      $container: '@service_container'
      $entityManager: '@doctrine.orm.entity_manager'
      $requestStack: '@request_stack'
      $security: '@security.helper'
  _defaults:
    autowire: true
    autoconfigure: true
    public: true
    bind:
      $senderEmail: '%mailer.sender_email%'
      $senderName: '%mailer.sender_name%'

  Symfony\Component\DependencyInjection\ContainerInterface: '@service_container'


  App\:
    resource: '../src/'
    exclude:
      - '../src/DependencyInjection/'
      - '../src/Entity/'
      - '../src/Kernel.php'
      - '../src/Tests/'
      - '../src/Helper/'
      - '../src/Datatables/'

  App\Helper\:
    resource: '../src/Helper/*'
    lazy: true


  Sg\DatatablesBundle\Response\DatatableResponse:
    alias: sg_datatables.response

  App\Datatables\Datatable\:
    resource: '../src/Datatables/Datatable/*'
    lazy: true
    calls:
      - setResponse: ['@sg_datatables.response']

  App\Service\Helper:
    arguments:
      - '@Doctrine\ORM\EntityManagerInterface'
      - '@Symfony\Component\HttpFoundation\RequestStack'

  App\EventListener\DatabaseActivitySubscriber:
    arguments:
      - '@Symfony\Component\Security\Core\Authentication\Token\Storage\TokenStorageInterface'
    tags:
      - name: 'doctrine.event_subscriber'
        priority: 500
        connection: 'default'

  App\EventListener\LoginSubscriber:
    arguments:
      - '@Doctrine\ORM\EntityManagerInterface'
      - '@Symfony\Component\HttpFoundation\RequestStack'
      - '@App\Service\Helper'
